<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>S-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="index: S">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/Settings.html#saveSettings()">saveSettings()</a></span> - Method in class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/Settings.html" title="class in Heroes.MenuInterface">Settings</a></dt>
<dd>
<div class="block">Save settings in file.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/User.html#saveUser()">saveUser()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/User.html" title="class in Heroes.User">User</a></dt>
<dd>
<div class="block">Save user to file</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Constructible.html#setAttack(int)">setAttack(int)</a></span> - Method in class Heroes.Tile.<a href="../Heroes/Tile/Constructible.html" title="class in Heroes.Tile">Constructible</a></dt>
<dd>
<div class="block">Sets attack.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#setAttack(int)">setAttack(int)</a></span> - Method in class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Sets attack.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#setAttacking(boolean)">setAttacking(boolean)</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">Sets attacking.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Constructible.html#setAttackRange(int)">setAttackRange(int)</a></span> - Method in class Heroes.Tile.<a href="../Heroes/Tile/Constructible.html" title="class in Heroes.Tile">Constructible</a></dt>
<dd>
<div class="block">Sets attack range.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#setAttackRange(int)">setAttackRange(int)</a></span> - Method in class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Sets attack range.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Constructible.html#setAttackRate(int)">setAttackRate(int)</a></span> - Method in class Heroes.Tile.<a href="../Heroes/Tile/Constructible.html" title="class in Heroes.Tile">Constructible</a></dt>
<dd>
<div class="block">Sets attack rate.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#setAttackRate(int)">setAttackRate(int)</a></span> - Method in class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Sets attack rate.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#setAttackTower(Heroes.Tile.Towers.Attacks.Attack)">setAttackTower(Attack)</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">Sets attack tower.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterRender.html#setCount(int)">setCount(int)</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/MonsterRender.html" title="class in Heroes.Monster">MonsterRender</a></dt>
<dd>
<div class="block">Sets count.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/Monster.html#setDeath(boolean)">setDeath(boolean)</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/Monster.html" title="class in Heroes.Monster">Monster</a></dt>
<dd>
<div class="block">Sets death.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#setHeight(int)">setHeight(int)</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Sets height.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#setKey(int)">setKey(int)</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">Sets key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/Monster.html#setLevel(int)">setLevel(int)</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/Monster.html" title="class in Heroes.Monster">Monster</a></dt>
<dd>
<div class="block">Sets level.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/User.html#setLevelMax(int)">setLevelMax(int)</a></span> - Method in class Heroes.User.<a href="../Heroes/User/User.html" title="class in Heroes.User">User</a></dt>
<dd>
<div class="block">Sets level max.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/Monster.html#setLifePoints(int)">setLifePoints(int)</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/Monster.html" title="class in Heroes.Monster">Monster</a></dt>
<dd>
<div class="block">Sets life points.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/Monster.html#setMonsterKind(Heroes.Monster.MonsterKinds)">setMonsterKind(MonsterKinds)</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/Monster.html" title="class in Heroes.Monster">Monster</a></dt>
<dd>
<div class="block">Sets monsterKind.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#setMouse(Heroes.Input.Mouse)">setMouse(Mouse)</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Sets mouse.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#setMusic(Heroes.Music.Music)">setMusic(Music)</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Sets music.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Attacks/Attack.html#setName(java.lang.String)">setName(String)</a></span> - Method in class Heroes.Tile.Towers.Attacks.<a href="../Heroes/Tile/Towers/Attacks/Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a></dt>
<dd>
<div class="block">Sets name of an attack</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/User.html#setName(java.lang.String)">setName(String)</a></span> - Method in class Heroes.User.<a href="../Heroes/User/User.html" title="class in Heroes.User">User</a></dt>
<dd>
<div class="block">Sets name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#setPane(javafx.scene.layout.BorderPane)">setPane(BorderPane)</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Sets pane.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#setPaused(boolean)">setPaused(boolean)</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Sets paused.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#setpos(int)">setpos(int)</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">Setp position from key</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#setSellPrice(int)">setSellPrice(int)</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">set sellPrice</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Attacks/Attack.html#setSource(java.lang.String)">setSource(String)</a></span> - Method in class Heroes.Tile.Towers.Attacks.<a href="../Heroes/Tile/Towers/Attacks/Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a></dt>
<dd>
<div class="block">Sets source of an attack sprite</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/God.html#setSpecialAttacking(boolean)">setSpecialAttacking(boolean)</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/God.html" title="class in Heroes.Tile.Towers">God</a></dt>
<dd>
<div class="block">set special attacking boolean</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#setSpecialAttacking(boolean)">setSpecialAttacking(boolean)</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">set special attacking boolean (used to allow this to god)
 if not override does nothing
 Does nothing, only use it for override version</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/Monster.html#setSpeed(int)">setSpeed(int)</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/Monster.html" title="class in Heroes.Monster">Monster</a></dt>
<dd>
<div class="block">Sets speed.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Attacks/Attack.html#setSpeed(int)">setSpeed(int)</a></span> - Method in class Heroes.Tile.Towers.Attacks.<a href="../Heroes/Tile/Towers/Attacks/Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a></dt>
<dd>
<div class="block">Set speed</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Constructible.html#setState(Heroes.Tile.TowerStates)">setState(TowerStates)</a></span> - Method in class Heroes.Tile.<a href="../Heroes/Tile/Constructible.html" title="class in Heroes.Tile">Constructible</a></dt>
<dd>
<div class="block">Sets state.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Tile.html#setTileKind(Heroes.Tile.TileKinds)">setTileKind(TileKinds)</a></span> - Method in class Heroes.Tile.<a href="../Heroes/Tile/Tile.html" title="class in Heroes.Tile">Tile</a></dt>
<dd>
<div class="block">Set tile kind.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/Settings.html#setTileSize(int)">setTileSize(int)</a></span> - Method in class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/Settings.html" title="class in Heroes.MenuInterface">Settings</a></dt>
<dd>
<div class="block">Sets tile size.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Tile.html#setTileSize(int)">setTileSize(int)</a></span> - Static method in class Heroes.Tile.<a href="../Heroes/Tile/Tile.html" title="class in Heroes.Tile">Tile</a></dt>
<dd>
<div class="block">Sets tile size.</div>
</dd>
<dt><a href="../Heroes/MenuInterface/Settings.html" title="class in Heroes.MenuInterface"><span class="typeNameLink">Settings</span></a> - Class in <a href="../Heroes/MenuInterface/package-summary.html">Heroes.MenuInterface</a></dt>
<dd>
<div class="block">The class Settings used to store settings.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/Settings.html#%3Cinit%3E()">Settings()</a></span> - Constructor for class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/Settings.html" title="class in Heroes.MenuInterface">Settings</a></dt>
<dd>
<div class="block">Instantiates a new Settings with defaults values.</div>
</dd>
<dt><a href="../Heroes/MenuInterface/SettingsController.html" title="class in Heroes.MenuInterface"><span class="typeNameLink">SettingsController</span></a> - Class in <a href="../Heroes/MenuInterface/package-summary.html">Heroes.MenuInterface</a></dt>
<dd>
<div class="block">The type Settings controller.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/SettingsController.html#%3Cinit%3E()">SettingsController()</a></span> - Constructor for class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/SettingsController.html" title="class in Heroes.MenuInterface">SettingsController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#setTowerselected(Heroes.Tile.TowerInfos)">setTowerselected(TowerInfos)</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Sets towerselected.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/Main.html#setUser(Heroes.User.User)">setUser(User)</a></span> - Static method in class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/Main.html" title="class in Heroes.MenuInterface">Main</a></dt>
<dd>
<div class="block">Sets user.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/Monster.html#setValue(int)">setValue(int)</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/Monster.html" title="class in Heroes.Monster">Monster</a></dt>
<dd>
<div class="block">Sets value.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/InGameUser.html#setWaveNumber(int)">setWaveNumber(int)</a></span> - Method in class Heroes.User.<a href="../Heroes/User/InGameUser.html" title="class in Heroes.User">InGameUser</a></dt>
<dd>
<div class="block">Sets wave value</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#setWidth(int)">setWidth(int)</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Sets width.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/Settings.html#setWidth(int)">setWidth(int)</a></span> - Method in class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/Settings.html" title="class in Heroes.MenuInterface">Settings</a></dt>
<dd>
<div class="block">Sets width.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Input/Mouse.html#setX(double)">setX(double)</a></span> - Method in class Heroes.Input.<a href="../Heroes/Input/Mouse.html" title="class in Heroes.Input">Mouse</a></dt>
<dd>
<div class="block">store mouse positionX</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterRender.html#setxSh(int)">setxSh(int)</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/MonsterRender.html" title="class in Heroes.Monster">MonsterRender</a></dt>
<dd>
<div class="block">Sets the xShift</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Input/Mouse.html#setY(double)">setY(double)</a></span> - Method in class Heroes.Input.<a href="../Heroes/Input/Mouse.html" title="class in Heroes.Input">Mouse</a></dt>
<dd>
<div class="block">store mouse positionY</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterRender.html#setySh(int)">setySh(int)</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/MonsterRender.html" title="class in Heroes.Monster">MonsterRender</a></dt>
<dd>
<div class="block">Sets yShift.</div>
</dd>
<dt><a href="../Heroes/Tile/Towers/Attacks/Shield.html" title="class in Heroes.Tile.Towers.Attacks"><span class="typeNameLink">Shield</span></a> - Class in <a href="../Heroes/Tile/Towers/Attacks/package-summary.html">Heroes.Tile.Towers.Attacks</a></dt>
<dd>
<div class="block">The type Shield (extends Attack)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Attacks/Shield.html#%3Cinit%3E(int,int,int,javafx.scene.layout.Pane,int)">Shield(int, int, int, Pane, int)</a></span> - Constructor for class Heroes.Tile.Towers.Attacks.<a href="../Heroes/Tile/Towers/Attacks/Shield.html" title="class in Heroes.Tile.Towers.Attacks">Shield</a></dt>
<dd>
<div class="block">Instantiates a new Shield.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Notification/Notification.html#showPopupMessage(java.lang.String,javafx.stage.Stage)">showPopupMessage(String, Stage)</a></span> - Static method in class Heroes.Notification.<a href="../Heroes/Notification/Notification.html" title="class in Heroes.Notification">Notification</a></dt>
<dd>
<div class="block">Show a popup</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Captain.html#specialAttack(Heroes.Monster.Monster)">specialAttack(Monster)</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Captain.html" title="class in Heroes.Tile.Towers">Captain</a></dt>
<dd>
<div class="block">Special attack : go back at beginning</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/GreenLizard.html#specialAttack(Heroes.Monster.Monster)">specialAttack(Monster)</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/GreenLizard.html" title="class in Heroes.Tile.Towers">GreenLizard</a></dt>
<dd>
<div class="block">Special attack.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/God.html#specialAttack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">specialAttack(Monster, Pane)</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/God.html" title="class in Heroes.Tile.Towers">God</a></dt>
<dd>
<div class="block">Special attack.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/LazerMan.html#specialAttack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">specialAttack(Monster, Pane)</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/LazerMan.html" title="class in Heroes.Tile.Towers">LazerMan</a></dt>
<dd>
<div class="block">Special attack.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/UltraLady.html#specialAttack(Heroes.Monster.Monster,javafx.scene.layout.Pane)">specialAttack(Monster, Pane)</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/UltraLady.html" title="class in Heroes.Tile.Towers">UltraLady</a></dt>
<dd>
<div class="block">Special attack.</div>
</dd>
<dt><a href="../Heroes/Tile/Towers/Attacks/SpiderWeb.html" title="class in Heroes.Tile.Towers.Attacks"><span class="typeNameLink">SpiderWeb</span></a> - Class in <a href="../Heroes/Tile/Towers/Attacks/package-summary.html">Heroes.Tile.Towers.Attacks</a></dt>
<dd>
<div class="block">The type Spider web (extends Attack)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Attacks/SpiderWeb.html#%3Cinit%3E(int,int,int,javafx.scene.layout.Pane,int)">SpiderWeb(int, int, int, Pane, int)</a></span> - Constructor for class Heroes.Tile.Towers.Attacks.<a href="../Heroes/Tile/Towers/Attacks/SpiderWeb.html" title="class in Heroes.Tile.Towers.Attacks">SpiderWeb</a></dt>
<dd>
<div class="block">Instantiates a new Spider web.</div>
</dd>
<dt><a href="../Heroes/Exception/StageException.html" title="class in Heroes.Exception"><span class="typeNameLink">StageException</span></a> - Exception in <a href="../Heroes/Exception/package-summary.html">Heroes.Exception</a></dt>
<dd>
<div class="block">Stage Exception : case game stage issue</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Exception/StageException.html#%3Cinit%3E()">StageException()</a></span> - Constructor for exception Heroes.Exception.<a href="../Heroes/Exception/StageException.html" title="class in Heroes.Exception">StageException</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#start(javafx.stage.Stage)">start(Stage)</a></span> - Method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">start</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/Main.html#start(javafx.stage.Stage)">start(Stage)</a></span> - Method in class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/Main.html" title="class in Heroes.MenuInterface">Main</a></dt>
<dd>
<div class="block">Method start a menu</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/Settings.html#start(javafx.stage.Stage)">start(Stage)</a></span> - Method in class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/Settings.html" title="class in Heroes.MenuInterface">Settings</a></dt>
<dd>
<div class="block">Start method</div>
</dd>
<dt><a href="../Heroes/Tile/Towers/Attacks/Stick.html" title="class in Heroes.Tile.Towers.Attacks"><span class="typeNameLink">Stick</span></a> - Class in <a href="../Heroes/Tile/Towers/Attacks/package-summary.html">Heroes.Tile.Towers.Attacks</a></dt>
<dd>
<div class="block">The type Stick (extends Attack)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Attacks/Stick.html#%3Cinit%3E(int,int,int,javafx.scene.layout.Pane,int)">Stick(int, int, int, Pane, int)</a></span> - Constructor for class Heroes.Tile.Towers.Attacks.<a href="../Heroes/Tile/Towers/Attacks/Stick.html" title="class in Heroes.Tile.Towers.Attacks">Stick</a></dt>
<dd>
<div class="block">Instantiates a new Stick.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Music/Music.html#stop()">stop()</a></span> - Method in class Heroes.Music.<a href="../Heroes/Music/Music.html" title="class in Heroes.Music">Music</a></dt>
<dd>
<div class="block">Stop :  the music</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
